Subject: Re: [PATCH] Documentation/config.txt: Order variables alphabetically

From: jari <[email-masked]>
Date: Wed, 1 Dec 2010 17:09:17 +0200

On 2010-12-01 15:57, Jakub Narebski wrote:
| On Wed, 1 Dec 2010, Jari Aalto wrote:
| > On 2010-12-01 05:58, Jakub Narebski wrote:
| > | [email-masked] writes:
| > | 
| > | > From: Jari Aalto <[email-masked]>
| > | > 
| > | > 
| > | > Signed-off-by: Jari Aalto <[email-masked]>
| > | > ---
| > | >  Documentation/config.txt | 1698 +++++++++++++++++++++++-----------------------
| > | >  1 files changed, 852 insertions(+), 846 deletions(-)
| > | 
| > | Why?  What such large change is for?
| > | 
| > | Note that currently config variables are grouped by functionality: for
| > | example core.eol and core.safecrlf, or core.compression and
| > | core.loosecompression are close to each other.
| 
| What about the above?

We use standard biblical refences:

	 Se ....

Suggest what is needed, and it will be so.

| > The phone books have an index where to up information.
| > 
| >     - When you see script and it use VARIABLE, you look it from
| >       manual page
| 
| Manpages (and 'git <cmd> --help') are displayed in pager, so you can
| always search for option in a pager (e.g. '/' in 'less', the default
| pager).

Yuck, it's real fun start backward/forward ping-pong when you dont'
know the directions and can't rely on standard A-Z index.

| > It is same as putting option in alphabetical order. See GNU cp(1),
| > ssh(1) etc.
| 
| In git documentation command line options are not in alphabetical order,
| but grouped by functionality, therefore your argument is invalid.

I see that only in pages that have tens and tens and tens of options..

The problem is more the asciidoc's. Various bits and pices are
"included" in place and make orderign the options impossile in some
pages.

Let's get all pages in shape with A-Z in this regard. That's a god
quality goal.

| > There are zillion values and for a reference, alphabetical order makes
| > sense.
| 
| I agree that alphabetical order makes sense for glossary; I disagree that
| it makes sense here.

About 60% in git-config is already in alpha order (core.*, sendmail.*
etc), so there is not really much that is changing.

Well. If standard reading order is not the standard, I don't know what
is.

Jari